Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.identity
Class UserGroupTaskCommandExecutorDecorator

    java.lang.Object
      org.jbpm.services.task.identity.AbstractUserGroupCallbackDecorator
          org.jbpm.services.task.identity.UserGroupTaskCommandExecutorDecorator

All Implemented Interfaces:
  CommandExecutor

    @Decorator
    public class UserGroupTaskCommandExecutorDecorator

extends AbstractUserGroupCallbackDecorator
implements CommandExecutor

Constructor Summary
`UserGroupTaskCommandExecutorDecorator()`

Method Summary
`
`<T> T`
` | `execute(Command<T> cmd)` Execute the command and return a ExecutionResults for the results of the Command.

Methods inherited from class org.jbpm.services.task.identity.AbstractUserGroupCallbackDecorator
`addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, persistIfNotExists, setPm, setUserGroupCallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserGroupTaskCommandExecutorDecorator

    public UserGroupTaskCommandExecutorDecorator()

Method Detail

### execute

    public <T> T execute(Command<T> cmd)

  Description copied from interface: `CommandExecutor`
  Execute the command and return a ExecutionResults for the results of the Command.

  Specified by:
    `execute` in interface `CommandExecutor`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.